Bug 1031437 - Review Request: truecommons - Common components for open source projects
Review Request: truecommons - Common components for open source projects
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 17:25 EST by Gerard Ryan
Modified: 2013-11-20 13:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 13:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2013-11-17 17:25:13 EST
Spec URL: http://galileo.fedorapeople.org/truecommons/2.3.3-1/truecommons.spec
SRPM URL: http://galileo.fedorapeople.org/truecommons/2.3.3-1/truecommons-2.3.3-1.fc21.src.rpm
Description: Common components for open source projects. This is a dependency for TrueVFS, which is the successor to TrueZip.
Fedora Account System Username: galileo
Comment 1 gil cattaneo 2013-11-17 20:50:19 EST
main package must be like:

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc epl-v10.html

please, fix unowned directory
.mfiles should be empty, use .mfiles-%{name} instead if available
license should be preferred in text format
http://opensource.org/licenses/eclipse-1.0.txt
and available for every sub package
Comment 2 gil cattaneo 2013-11-17 20:58:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 304 files have unknown license. Detailed output
     of licensecheck in /home/gil/1031437-truecommons/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/java/truecommons
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/truecommons
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     truecommons-javadoc , truecommons-annotations , truecommons-cio ,
     truecommons-io , truecommons-jmx , truecommons-key , truecommons-key-
     console , truecommons-key-default , truecommons-key-disable ,
     truecommons-key-hurlfb , truecommons-key-spec , truecommons-key-swing ,
     truecommons-logging , truecommons-services , truecommons-shed
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: truecommons-2.3.3-1.fc21.noarch.rpm
          truecommons-javadoc-2.3.3-1.fc21.noarch.rpm
          truecommons-annotations-2.3.3-1.fc21.noarch.rpm
          truecommons-cio-2.3.3-1.fc21.noarch.rpm
          truecommons-io-2.3.3-1.fc21.noarch.rpm
          truecommons-jmx-2.3.3-1.fc21.noarch.rpm
          truecommons-key-2.3.3-1.fc21.noarch.rpm
          truecommons-key-console-2.3.3-1.fc21.noarch.rpm
          truecommons-key-default-2.3.3-1.fc21.noarch.rpm
          truecommons-key-disable-2.3.3-1.fc21.noarch.rpm
          truecommons-key-hurlfb-2.3.3-1.fc21.noarch.rpm
          truecommons-key-spec-2.3.3-1.fc21.noarch.rpm
          truecommons-key-swing-2.3.3-1.fc21.noarch.rpm
          truecommons-logging-2.3.3-1.fc21.noarch.rpm
          truecommons-services-2.3.3-1.fc21.noarch.rpm
          truecommons-shed-2.3.3-1.fc21.noarch.rpm
          truecommons-2.3.3-1.fc21.src.rpm
truecommons.noarch: W: name-repeated-in-summary C TrueCommons
truecommons.noarch: W: no-documentation
truecommons-cio.noarch: W: no-documentation
truecommons-io.noarch: W: no-documentation
truecommons-jmx.noarch: W: no-documentation
truecommons-key.noarch: W: no-documentation
truecommons-key-console.noarch: W: no-documentation
truecommons-key-default.noarch: W: no-documentation
truecommons-key-disable.noarch: W: no-documentation
truecommons-key-hurlfb.noarch: W: no-documentation
truecommons-key-spec.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
truecommons-key-spec.noarch: W: no-documentation
truecommons-key-swing.noarch: W: no-documentation
truecommons-logging.noarch: W: no-documentation
truecommons-services.noarch: W: no-documentation
truecommons-shed.noarch: W: no-documentation
truecommons.src: W: name-repeated-in-summary C TrueCommons
truecommons.src: W: invalid-url Source0: truecommons-2.3.3.tar.gz
17 packages and 0 specfiles checked; 0 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint truecommons-key-swing truecommons-logging truecommons-key truecommons-javadoc truecommons truecommons-c 
io truecommons-key-default truecommons-annotations truecommons-key-hurlfb truecommons-jmx truecommons-shed truecommons-services tru 
ecommons-io truecommons-key-spec truecommons-key-console truecommons-key-disable
truecommons-key-swing.noarch: W: no-documentation
truecommons-logging.noarch: W: no-documentation
truecommons-key.noarch: W: no-documentation
truecommons.noarch: W: name-repeated-in-summary C TrueCommons
truecommons.noarch: W: no-documentation
truecommons-cio.noarch: W: no-documentation
truecommons-key-default.noarch: W: no-documentation
truecommons-key-hurlfb.noarch: W: no-documentation
truecommons-jmx.noarch: W: no-documentation
truecommons-shed.noarch: W: no-documentation
truecommons-services.noarch: W: no-documentation
truecommons-io.noarch: W: no-documentation
truecommons-key-spec.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
truecommons-key-spec.noarch: W: no-documentation
truecommons-key-console.noarch: W: no-documentation
truecommons-key-disable.noarch: W: no-documentation
16 packages and 0 specfiles checked; 0 errors, 16 warnings.
# echo 'rpmlint-done:'



Requires
--------
truecommons-key-swing (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-logging (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)
    mvn(org.slf4j:slf4j-api)

truecommons-key (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(net.java.truecommons:truecommons:pom:)

truecommons-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

truecommons (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(net.java.truecommons:truecommons-parent)
    mvn(org.jsr-305:ri)

truecommons-cio (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-io)
    mvn(net.java.truecommons:truecommons-shed)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-default (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-annotations (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-hurlfb (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-swing)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-jmx (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-services)
    mvn(net.java.truecommons:truecommons-shed)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-shed (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-services (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(net.java.truecommons:truecommons-logging)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-io (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-spec (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-services)
    mvn(net.java.truecommons:truecommons-shed)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-console (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-disable (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)



Provides
--------
truecommons-key-swing:
    mvn(net.java.truecommons:truecommons-key-swing)
    truecommons-key-swing

truecommons-logging:
    mvn(net.java.truecommons:truecommons-logging)
    truecommons-logging

truecommons-key:
    mvn(net.java.truecommons:truecommons-key)
    mvn(net.java.truecommons:truecommons-key:pom:)
    truecommons-key

truecommons-javadoc:
    truecommons-javadoc

truecommons:
    mvn(net.java.truecommons:truecommons)
    mvn(net.java.truecommons:truecommons:pom:)
    truecommons

truecommons-cio:
    mvn(net.java.truecommons:truecommons-cio)
    truecommons-cio

truecommons-key-default:
    mvn(net.java.truecommons:truecommons-key-default)
    truecommons-key-default

truecommons-annotations:
    mvn(net.java.truecommons:truecommons-annotations)
    truecommons-annotations

truecommons-key-hurlfb:
    mvn(net.java.truecommons:truecommons-key-hurlfb)
    truecommons-key-hurlfb

truecommons-jmx:
    mvn(net.java.truecommons:truecommons-jmx)
    truecommons-jmx

truecommons-shed:
    mvn(net.java.truecommons:truecommons-shed)
    truecommons-shed

truecommons-services:
    mvn(net.java.truecommons:truecommons-services)
    truecommons-services

truecommons-io:
    mvn(net.java.truecommons:truecommons-io)
    truecommons-io

truecommons-key-spec:
    mvn(net.java.truecommons:truecommons-key-spec)
    truecommons-key-spec

truecommons-key-console:
    mvn(net.java.truecommons:truecommons-key-console)
    truecommons-key-console

truecommons-key-disable:
    mvn(net.java.truecommons:truecommons-key-disable)
    truecommons-key-disable



Source checksums
----------------
http://www.eclipse.org/legal/epl-v10.html :
  CHECKSUM(SHA256) this package     : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2
  CHECKSUM(SHA256) upstream package : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1031437 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

ISSUES:
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

[!]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/java/truecommons
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/truecommons

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

not approved
Comment 3 Gerard Ryan 2013-11-18 15:48:58 EST
Thanks for taking this review Gil!

(In reply to gil cattaneo from comment #1)
> main package must be like:
> 
> %files -f .mfiles-%{name}
> %dir %{_javadir}/%{name}
> %doc epl-v10.html
> 
> please, fix unowned directory
> .mfiles should be empty, use .mfiles-%{name} instead if available
> license should be preferred in text format
> http://opensource.org/licenses/eclipse-1.0.txt
> and available for every sub package

Done. I copied the text from that license link into a new file since it contained probably more html than the epl-v10.html file. I also didn't include the URL that you mentioned for that reason (it's a different file now, just happens to have the same name).

(In reply to gil cattaneo from comment #1)
> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
...
> [!]: Package does not include license text files separate from upstream.

Since this is EPL, we must include it, so I'll consider these two as 'done' unless you disagree.

> [!]: License file installed when any subpackage combination is installed.
Done in 2.3.3-2

> [!]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/java/truecommons
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/java/truecommons
Done in 2.3.3-2

> [!]: If the source package does not include license text(s) as a separate file
>      from upstream, the packager SHOULD query upstream to include it.
Done: https://java.net/jira/browse/TRUECOMMONS-9

Spec URL: http://galileo.fedorapeople.org/truecommons/2.3.3-2/truecommons.spec
SRPM URL: http://galileo.fedorapeople.org/truecommons/2.3.3-2/truecommons-2.3.3-2.fc21.src.rpm
Comment 4 gil cattaneo 2013-11-19 01:36:00 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 304 files have unknown license. Detailed output
     of licensecheck in /home/gil/1031437-truecommons/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/truecommons
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     truecommons-javadoc , truecommons-annotations , truecommons-cio ,
     truecommons-io , truecommons-jmx , truecommons-key , truecommons-key-
     console , truecommons-key-default , truecommons-key-disable ,
     truecommons-key-hurlfb , truecommons-key-spec , truecommons-key-swing ,
     truecommons-logging , truecommons-services , truecommons-shed
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: truecommons-2.3.3-2.fc21.noarch.rpm
          truecommons-javadoc-2.3.3-2.fc21.noarch.rpm
          truecommons-annotations-2.3.3-2.fc21.noarch.rpm
          truecommons-cio-2.3.3-2.fc21.noarch.rpm
          truecommons-io-2.3.3-2.fc21.noarch.rpm
          truecommons-jmx-2.3.3-2.fc21.noarch.rpm
          truecommons-key-2.3.3-2.fc21.noarch.rpm
          truecommons-key-console-2.3.3-2.fc21.noarch.rpm
          truecommons-key-default-2.3.3-2.fc21.noarch.rpm
          truecommons-key-disable-2.3.3-2.fc21.noarch.rpm
          truecommons-key-hurlfb-2.3.3-2.fc21.noarch.rpm
          truecommons-key-spec-2.3.3-2.fc21.noarch.rpm
          truecommons-key-swing-2.3.3-2.fc21.noarch.rpm
          truecommons-logging-2.3.3-2.fc21.noarch.rpm
          truecommons-services-2.3.3-2.fc21.noarch.rpm
          truecommons-shed-2.3.3-2.fc21.noarch.rpm
          truecommons-2.3.3-2.fc21.src.rpm
truecommons.noarch: W: name-repeated-in-summary C TrueCommons
truecommons-cio.noarch: W: no-documentation
truecommons-jmx.noarch: W: no-documentation
truecommons-key.noarch: W: no-documentation
truecommons-key-console.noarch: W: no-documentation
truecommons-key-default.noarch: W: no-documentation
truecommons-key-disable.noarch: W: no-documentation
truecommons-key-hurlfb.noarch: W: no-documentation
truecommons-key-spec.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
truecommons-key-spec.noarch: W: no-documentation
truecommons-key-swing.noarch: W: no-documentation
truecommons-services.noarch: W: no-documentation
truecommons.src: W: name-repeated-in-summary C TrueCommons
truecommons.src: W: invalid-url Source0: truecommons-2.3.3.tar.gz
17 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint truecommons-key-swing truecommons-logging truecommons-key truecommons-javadoc truecommons truecommons-c 
io truecommons-key-default truecommons-annotations truecommons-key-hurlfb truecommons-jmx truecommons-shed truecommons-services tru 
ecommons-io truecommons-key-spec truecommons-key-console truecommons-key-disable
truecommons-key-swing.noarch: W: no-documentation
truecommons-key.noarch: W: no-documentation
truecommons.noarch: W: name-repeated-in-summary C TrueCommons
truecommons-cio.noarch: W: no-documentation
truecommons-key-default.noarch: W: no-documentation
truecommons-key-hurlfb.noarch: W: no-documentation
truecommons-jmx.noarch: W: no-documentation
truecommons-services.noarch: W: no-documentation
truecommons-key-spec.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
truecommons-key-spec.noarch: W: no-documentation
truecommons-key-console.noarch: W: no-documentation
truecommons-key-disable.noarch: W: no-documentation
16 packages and 0 specfiles checked; 0 errors, 12 warnings.
# echo 'rpmlint-done:'



Requires
--------
truecommons-key-swing (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-logging (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)
    mvn(org.slf4j:slf4j-api)

truecommons-key (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(net.java.truecommons:truecommons:pom:)

truecommons-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

truecommons (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(net.java.truecommons:truecommons-parent)
    mvn(org.jsr-305:ri)

truecommons-cio (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-io)
    mvn(net.java.truecommons:truecommons-shed)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-default (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-annotations (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-hurlfb (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-swing)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-jmx (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-services)
    mvn(net.java.truecommons:truecommons-shed)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-shed (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-services (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(net.java.truecommons:truecommons-logging)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-io (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-spec (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-services)
    mvn(net.java.truecommons:truecommons-shed)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-console (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)

truecommons-key-disable (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(net.java.truecommons:truecommons-annotations)
    mvn(net.java.truecommons:truecommons-key-spec)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.jsr-305:ri)



Provides
--------
truecommons-key-swing:
    mvn(net.java.truecommons:truecommons-key-swing)
    truecommons-key-swing

truecommons-logging:
    mvn(net.java.truecommons:truecommons-logging)
    truecommons-logging

truecommons-key:
    mvn(net.java.truecommons:truecommons-key)
    mvn(net.java.truecommons:truecommons-key:pom:)
    truecommons-key

truecommons-javadoc:
    truecommons-javadoc

truecommons:
    mvn(net.java.truecommons:truecommons)
    mvn(net.java.truecommons:truecommons:pom:)
    truecommons

truecommons-cio:
    mvn(net.java.truecommons:truecommons-cio)
    truecommons-cio

truecommons-key-default:
    mvn(net.java.truecommons:truecommons-key-default)
    truecommons-key-default

truecommons-annotations:
    mvn(net.java.truecommons:truecommons-annotations)
    truecommons-annotations

truecommons-key-hurlfb:
    mvn(net.java.truecommons:truecommons-key-hurlfb)
    truecommons-key-hurlfb

truecommons-jmx:
    mvn(net.java.truecommons:truecommons-jmx)
    truecommons-jmx

truecommons-shed:
    mvn(net.java.truecommons:truecommons-shed)
    truecommons-shed

truecommons-services:
    mvn(net.java.truecommons:truecommons-services)
    truecommons-services

truecommons-io:
    mvn(net.java.truecommons:truecommons-io)
    truecommons-io

truecommons-key-spec:
    mvn(net.java.truecommons:truecommons-key-spec)
    truecommons-key-spec

truecommons-key-console:
    mvn(net.java.truecommons:truecommons-key-console)
    truecommons-key-console

truecommons-key-disable:
    mvn(net.java.truecommons:truecommons-key-disable)
    truecommons-key-disable



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1031437 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Thanks, for your changes!
non blocking issues:
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License file installed when any subpackage combination is installed.

please, add eclipse-1.0.txt for each sub package, berore import in SCM

truecommons-cio.noarch: W: no-documentation
truecommons-jmx.noarch: W: no-documentation
truecommons-key.noarch: W: no-documentation
truecommons-key-console.noarch: W: no-documentation
truecommons-key-default.noarch: W: no-documentation
truecommons-key-disable.noarch: W: no-documentation
truecommons-key-hurlfb.noarch: W: no-documentation
truecommons-key-spec.noarch: W: no-documentation
truecommons-key-swing.noarch: W: no-documentation
truecommons-services.noarch: W: no-documentation
Comment 5 Gerard Ryan 2013-11-19 14:04:30 EST
Wonderful, thanks for the review and approval gil!

(In reply to gil cattaneo from comment #4)
> Thanks, for your changes!
> non blocking issues:
> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.

Upstream has agreed to include it for next release onwards, so this won't be an issue.

> [!]: License file installed when any subpackage combination is installed.
> 
> please, add eclipse-1.0.txt for each sub package, berore import in SCM

I've added it to the base ones, and every other subpackage depends on those, so it's "installed when any subpackage combination is installed." Is that enough or is it still necessary to have it for absolutely every subpackage anyway?
Comment 6 Gerard Ryan 2013-11-19 14:06:28 EST
New Package SCM Request
=======================
Package Name: truecommons
Short Description: Common components for open source projects
Owners: galileo
Branches: f20
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2013-11-19 15:22:27 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.